#!/usr/bin/env bash
set -Eeo pipefail


_is_sourced() {
	# https://unix.stackexchange.com/a/215279
	[ "${#FUNCNAME[@]}" -ge 2 ] \
		&& [ "${FUNCNAME[0]}" = '_is_sourced' ] \
		&& [ "${FUNCNAME[1]}" = 'source' ]
}


_main() {
    CATALINA_HOME=/usr/share/moas/mo-idp-server-3.4.2
    cd $CATALINA_HOME/bin
    ./startup.sh
    while [ ! -f $CATALINA_HOME/logs/catalina.out ]; do echo "waiting for tomcat to spit logs..." && sleep 1; done
    tail -f $CATALINA_HOME/logs/catalina.out
}

if ! _is_sourced; then
	_main "$@"
fi
